Subject: Re: draft-bonica-tunneltrace-01.txt

From: Lei Yao <[email-masked]>
Date: Tue, 27 Feb 2001 10:09:21 -0500

Ron,

I have a couple of comments on the new draft.

1. In section 6, requirement 5 states, " Permit the application user to
specify whether the application should yield tunnel details or not".
However, there is no indication of user's request on this topic in
Trace-probe message. I suggest that a depth parameter is added in
Trace-probe message. With the depth parameter, the application user can
state the level of details that he would like to learn.
2. Since a trace-response message is returned to the head-end node by every
intermediate node, it is possible to compute the delay on each hop. It will
be a very useful feature to discover the abnormal node/link.

Thanks.
Lei